Запомняне

» Здравейте
[ Вход :: Регистриране ]
Тема: apt-get dist-upgrade, Debian unstable
Мнение #1 Skip to the next post in this topic.
Написано на: Март 23 2008, 18:02

No avatar chosen




Група: Li fans
Мнения: 191
Регистриран: Април 2006

Оценка: няма

Offline
Странен проблем вчера:

Дадох на системата да се ъпгрейдва:
Code Sample: 
apt-get dist-upgrade


Всичко мина добре и работеше, с изключение на компиз който спря да тръгва.
Видях, че има някакви неизползвани пакети и вместо autoremove дадох, autoclean.

Затри ми цялата графична среда и всичко за нея!

Някой може ли да обясни какво стана ? Иначе бързо се възстанових, ама не искам да имам проблеми за в бъдеще.
Контакти:  Pivoto
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 24 2008, 11:33

Avatar




Група: Li maniacs
Мнения: 869
Регистриран: Юли 2006

Оценка: 5

Offline
Прочети тази тема от data.bg докато не са изтрили :) http://forums.data.bg/viewtopic.php?t=1556945&highlight=aptitude
Ще ти стане ясно, защо ти маха пакетите.

Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 24 2008, 13:52

No avatar chosen




Група: Li fans
Мнения: 191
Регистриран: Април 2006

Оценка: няма

Offline
Сиреч махнал съм нещо и за това ми свали всичко от графичната среда - целия x.org + GNOME ?
Контакти:  Pivoto
WEB  
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 24 2008, 15:43

Avatar




Група: Li maniacs
Мнения: 869
Регистриран: Юли 2006

Оценка: 5

Offline
Вероятно да, или просто някой от по-новите пакети, има различни зависимости от същият пакет (същото име) но с по нова версия, от там другите се виждат като ненужни, увисват един вид. Ползвай aptitude само и ще си ги следиш по-добре :) Има вариант както съм писал и в онази тема да си оправиш пакетите, като промениш флага им т.е. да не са автоматично инсталирани, става от синаптик но е играчка.

Мнение #5 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 24 2008, 15:46

Avatar




Група: Li fans
Мнения: 763
Регистриран: Февруари 2008

Оценка: 5

Offline
първо с какъв дебиан си и към каква версия на дебиан правиш ъпгред?
проверил ли си имаш ли пълният лист с репозитори когато правиш ъпгрейд?
напълно възможно е да ги е машнало поради липсва на нова версия и несъвместимост със по - нови компоненти.
съветвам те да правиш aptitiude update, aptitude safe-upgrade, aptitude full-upgrade (поне така са в убунту, в дебиан последните две се различаваха..)

Контакти:  altoas

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #6
Skip to the previous post in this topic. Написано на: Март 24 2008, 17:53

No avatar chosen




Група: Li fans
Мнения: 191
Регистриран: Април 2006

Оценка: няма

Offline
С unstable съм и ъпгрейдвам към по-нови пакети.
Контакти:  Pivoto
WEB  
Общо 5 отговор(а) от Март 23 2008, 18:02 до сега

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums